//
// Created by vlad on 17.08.22.
//

#ifndef SDP_DRY_SENSOR_PLATFORM_H
#define SDP_DRY_SENSOR_PLATFORM_H

#include <stdint.h>
#include <avr/pgmspace.h>

extern uint16_t sensor_1;
extern uint16_t sensor_2;
extern char systick_execution_enable;

/**
 * Инициализация модуля
 */
void platform_init();

/**
 * Переводит камень в режим ожидания, выход из ожидания по прерыванию
 */
void platform_wait_for_interrupt();

void uart_init();
void uart_deinit();

void uart_write_char(char c);
void uart_write_str(const char* str);
void uart_write_fstr(PGM_P str);

char uart_read_char();
void uart_discard_input();


#endif //SDP_DRY_SENSOR_PLATFORM_H
